org.codehaus.jackson.map.deser.impl

## Class BeanPropertyMap

- java.lang.Object
- - org.codehaus.jackson.map.deser.impl.BeanPropertyMap

-     public final class BeanPropertyMap
      extends Object

  Helper class used for storing mapping from property name to `SettableBeanProperty` instances.

  Note that this class is used instead of generic `HashMap` is performance: although default implementation is very good for generic use cases, it can still be streamlined a bit for specific use case we have.

  Since:
    1.7

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BeanPropertyMap(Collection<SettableBeanProperty> properties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Iterator<SettableBeanProperty>` | `allProperties()` Accessor for traversing over all contained properties.
    `void` | `assignIndexes()`
    `SettableBeanProperty` | `find(String key)`
    `void` | `remove(SettableBeanProperty property)` Specialized method for removing specified existing entry.
    `void` | `replace(SettableBeanProperty property)` Specialized method that can be used to replace an existing entry (note: entry MUST exist; otherwise exception is thrown) with specified replacement.
    `int` | `size()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BeanPropertyMap

          public BeanPropertyMap(Collection<SettableBeanProperty> properties)

  - ### Method Detail

    - #### assignIndexes

          public void assignIndexes()

    - #### size

          public int size()

    - #### allProperties

          public Iterator<SettableBeanProperty> allProperties()

      Accessor for traversing over all contained properties.

    - #### find

          public SettableBeanProperty find(String key)

    - #### replace

          public void replace(SettableBeanProperty property)

      Specialized method that can be used to replace an existing entry (note: entry MUST exist; otherwise exception is thrown) with specified replacement.

    - #### remove

          public void remove(SettableBeanProperty property)

      Specialized method for removing specified existing entry. NOTE: entry MUST exist, otherwise an exception is thrown.
      Since:
        1.9